## golang-github-leanovate-gopter 0.2.11

=== Makefile ===
PACKAGES=$(shell go list ./...)

all: format
	@go get github.com/smartystreets/goconvey
	@go build -v ./...

format:
	@echo "--> Running go fmt"
	@gofmt -s -w .

test:
	@echo "--> Running tests"
	@go test -v ./... -count=1
	@$(MAKE) vet

coverage:
	@echo "--> Running tests with coverage"
	@echo "" > coverage.txt
	for pkg in $(shell go list ./...); do \
		(go test -coverprofile=.pkg.coverage -covermode=atomic -v $$pkg && \
		cat .pkg.coverage >> coverage.txt) || exit 1; \
	done
	@rm .pkg.coverage
	@$(MAKE) vet

vet:
	@go vet 2>/dev/null ; if [ $$? -eq 3 ]; then \
    	go get golang.org/x/tools/cmd/vet; \
    fi
	@echo "--> Running go vet $(VETARGS)"
	@find . -name "*.go" | grep -v "./Godeps/" | xargs go vet $(VETARGS); if [ $$? -eq 1 ]; then \
		echo ""; \
		echo "Vet found suspicious constructs. Please check the reported constructs"; \
		echo "and fix them if necessary before submitting the code for reviewal."; \
	fi

refreshGodoc:
	@echo "--> Refreshing godoc.org"
	for pkg in $(shell go list ./...); do \
		curl -d "path=$$pkg" https://godoc.org/-/refresh ; \
	done

## golang-github-leanovate-gopter 0.2.9+git20210201.bbbf00e

=== debian/changelog ===
golang-github-leanovate-gopter (0.2.9+git20210201.bbbf00e-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 21 Nov 2022 14:02:25 +0000

golang-github-leanovate-gopter (0.2.9+git20210201.bbbf00e-1) unstable; urgency=medium

  * Initial release

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 10 Mar 2021 23:50:44 +0000

=== debian/control ===
Source: golang-github-leanovate-gopter
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-smartystreets-goconvey-dev
Standards-Version: 4.6.1
Homepage: https://github.com/leanovate/gopter
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-leanovate-gopter
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-leanovate-gopter.git
XS-Go-Import-Path: github.com/leanovate/gopter
Testsuite: autopkgtest-pkg-go

Package: golang-github-leanovate-gopter-dev
Architecture: all
Depends: ${misc:Depends},
         golang-github-smartystreets-goconvey-dev
Description: GOlang Property TestER
 This package, Gopter, tries to bring the goodness of ScalaCheck (and
 implicitly, the goodness of QuickCheck to Go.  It can also be seen as
 a more sophisticated version of the testing/quick package.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-leanovate-gopter-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/leanovate/gopter/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-leanovate-gopter 0.2.11

=== debian/changelog ===
golang-github-leanovate-gopter (0.2.11-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.7.2, no changes needed.

  [ Thorsten Alteholz ]
  * New upstream release.
  * debian/control: add Rules-Requires-Root: no

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 12 Oct 2025 00:51:56 +0200

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,15 @@
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
-               golang-github-smartystreets-goconvey-dev
-Standards-Version: 4.6.1
+               golang-github-smartystreets-goconvey-dev,
+               architecture-is-64-bit
+Standards-Version: 4.7.2
 Homepage: https://github.com/leanovate/gopter
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-leanovate-gopter
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-leanovate-gopter.git
 XS-Go-Import-Path: github.com/leanovate/gopter
 Testsuite: autopkgtest-pkg-go
+Rules-Requires-Root: no
 
 Package: golang-github-leanovate-gopter-dev
 Architecture: all

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-leanovate-gopter-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/leanovate/gopter/tags .*/v?(\d\S*)\.tar\.gz debian uupdate
